//**** ATMEL AVR - pLq  ***********************************************
//*
//*	\		: AVR068 - STK500ʐMKV2
//*	̧ٖ		: command.h
//*				: 1.0
//*	ŏIXV	: 2005N131
//*
//*	xEҰ	: avr@atmel.com
//*
//**************************************************************************

//	* үޒ萔 *

#define	MESSAGE_START				0x1B	// ESC: үފJnʎq
#define	TOKEN						0x0E	// ʈ

//	* ʖ 萔 *

#define	CMD_SIGN_ON					0x01	// u[擾
#define	CMD_SET_PARAMETER			0x02	// Ұݒ薽
#define	CMD_GET_PARAMETER			0x03	// Ұ擾
#define	CMD_SET_DEVICE_PARAMETERS	0x04	// ޲ Ұݒ薽
#define	CMD_OSCCAL					0x05	// UZ
#define	CMD_LOAD_ADDRESS			0x06	// ڽw薽
#define	CMD_FIRMWARE_UPGRADE		0x07	// ̧ѳXV


//	* ISP۸ݸޖ 萔 *

#define	CMD_ENTER_PROGMODE_ISP		0x10	// ISP ۸ݸޓڍs
#define	CMD_LEAVE_PROGMODE_ISP		0x11	// ISP ۸ݸޓ씲o
#define	CMD_CHIP_ERASE_ISP			0x12	// ISP ߏ
#define	CMD_PROGRAM_FLASH_ISP		0x13	// ISP ׯ ؏ݖ
#define	CMD_READ_FLASH_ISP			0x14	// ISP ׯ ؓǂݏo
#define	CMD_PROGRAM_EEPROM_ISP		0x15	// ISP EEPROMݖ
#define	CMD_READ_EEPROM_ISP			0x16	// ISP EEPROMǂݏo
#define	CMD_PROGRAM_FUSE_ISP		0x17	// ISP ˭ ޯďݖ
#define	CMD_READ_FUSE_ISP			0x18	// ISP ˭ ޯēǂݏo
#define	CMD_PROGRAM_LOCK_ISP		0x19	// ISP ۯ ޯďݖ
#define	CMD_READ_LOCK_ISP			0x1A	// ISP ۯ ޯēǂݏo
#define	CMD_READ_SIGNATURE_ISP		0x1B	// ISP [޲ēǂݏo
#define	CMD_READ_OSCCAL_ISP			0x1C	// ISP UZlǂݏo
#define	CMD_SPI_MULTI				0x1D	// ISP 

//	* ۸ݸޖ 萔 *

#define	CMD_ENTER_PROGMODE_PP		0x20	// ۸ݸ ڍs
#define	CMD_LEAVE_PROGMODE_PP		0x21	// ۸ݸ 씲o
#define	CMD_CHIP_ERASE_PP			0x22	// ۸ݸ ߏ
#define	CMD_PROGRAM_FLASH_PP		0x23	// ۸ݸ ׯ ؏ݖ
#define	CMD_READ_FLASH_PP			0x24	// ۸ݸ ׯ ؓǂݏo
#define	CMD_PROGRAM_EEPROM_PP		0x25	// ۸ݸ EEPROMݖ
#define	CMD_READ_EEPROM_PP			0x26	// ۸ݸ EEPROMǂݏo
#define	CMD_PROGRAM_FUSE_PP			0x27	// ۸ݸ ˭ ޯďݖ
#define	CMD_READ_FUSE_PP			0x28	// ۸ݸ ˭ ޯēǂݏo
#define	CMD_PROGRAM_LOCK_PP			0x29	// ۸ݸ ۯ ޯďݖ
#define	CMD_READ_LOCK_PP			0x2A	// ۸ݸ ۯ ޯēǂݏo
#define	CMD_READ_SIGNATURE_PP		0x2B	// ۸ݸ [޲ēǂݏo
#define	CMD_READ_OSCCAL_PP			0x2C	// ۸ݸ UZlǂݏo

#define	CMD_SET_CONTROL_STACK		0x2D	// lQݒ薽 (dnʖ)

//	* d۸ݸޖ 萔 *

#define	CMD_ENTER_PROGMODE_HVSP		0x30	// d۸ݸ ڍs
#define	CMD_LEAVE_PROGMODE_HVSP		0x31	// d۸ݸ 씲o
#define	CMD_CHIP_ERASE_HVSP			0x32	// d۸ݸ ߏ
#define	CMD_PROGRAM_FLASH_HVSP		0x33	// d۸ݸ ׯ ؏ݖ
#define	CMD_READ_FLASH_HVSP			0x34	// d۸ݸ ׯ ؓǂݏo
#define	CMD_PROGRAM_EEPROM_HVSP		0x35	// d۸ݸ EEPROMݖ
#define	CMD_READ_EEPROM_HVSP		0x36	// d۸ݸ EEPROMǂݏo
#define	CMD_PROGRAM_FUSE_HVSP		0x37	// d۸ݸ ˭ ޯďݖ
#define	CMD_READ_FUSE_HVSP			0x38	// d۸ݸ ˭ ޯēǂݏo
#define	CMD_PROGRAM_LOCK_HVSP		0x39	// d۸ݸ ۯ ޯďݖ
#define	CMD_READ_LOCK_HVSP			0x3A	// d۸ݸ ۯ ޯēǂݏo
#define	CMD_READ_SIGNATURE_HVSP		0x3B	// d۸ݸ [޲ēǂݏo
#define	CMD_READ_OSCCAL_HVSP		0x3C	// d۸ݸ UZlǂݏo

//	* Ԓl 萔 *

											// [֌W]
#define	STATUS_CMD_OK				0x00	// 

											// [x֌W]
#define	STATUS_CMD_TOUT				0x80	// ߎsԒ
#define	STATUS_RDY_BSY_TOUT			0x81	// BSY/RDY݊ĎԒ
#define	STATUS_SET_PARAM_MISSING	0x82	// Ή߂ɐs޲ Ұݒ薽ߖs

											// [ُ֌W]
#define	STATUS_CMD_FAILED			0xC0	// s
#define	STATUS_CKSUM_ERROR			0xC1	// paُ
#define	STATUS_CMD_UNKNOWN			0xC9	// m(`)

//	* Ұ 萔 *

#define	PARAM_BUILD_NUMBER_LOW		0x80	// ̧ѳ\zԍ	R
#define	PARAM_BUILD_NUMBER_HIGH		0x81	// ̧ѳ\zԍ	R
#define	PARAM_HW_VER				0x90	// ʰ޳Ŕԍ		R
#define	PARAM_SW_MAJOR				0x91	// ĳŔԍ		R
#define	PARAM_SW_MINOR				0x92	// ĳŔԍ		R
#define	PARAM_VTARGET				0x94	// Ώۓd				R/W
#define	PARAM_VADJUST				0x95	// Ώ۱۸ފd	R/W
#define	PARAM_OSC_PSCALE			0x96	// UOul		R/W
#define	PARAM_OSC_CMATCH			0x97	// Url			R/W
#define	PARAM_SCK_DURATION			0x98	// SCKwl		R/W
#define	PARAM_TOPCARD_DETECT		0x9A	// m		R
#define	PARAM_STATUS				0x9C	// ð ڼ޽l		R
#define	PARAM_DATA					0x9D	// ް ߰Ēl			R
#define	PARAM_RESET_POLARITY		0x9E	// ؾċɐݒ			W
#define	PARAM_CONTROLLER_INIT		0x9F	// 평			R/W

//	* ԓ 萔 *

#define	ANSWER_CKSUM_ERROR			0xB0	// aُ

